## GtkGestureRotate GtkGestureRotate — Rotate gesture |

## Functions

GtkGesture * | gtk_gesture_rotate_new ()
gdouble | gtk_gesture_rotate_get_angle_delta ()

## Signals

void | angle-changed | Run First

## Types and Values

| GtkGestureRotate

## Object Hierarchy

        GObject
        ╰── GtkEventController
            ╰── GtkGesture
                ╰── GtkGestureRotate

## Includes

    #include <gtk/gtk.h>

## Description

GtkGestureRotate is a GtkGesture implementation able to recognize 2-finger rotations, whenever the angle between both handled sequences changes, the “angle-changed” signal is emitted.

## Functions

### gtk_gesture_rotate_new ()

    GtkGesture *
    gtk_gesture_rotate_new (GtkWidget *widget);

Returns a newly created GtkGesture that recognizes 2-touch rotation gestures.

#### Parameters

widget | a GtkWidget |

#### Returns

a newly created GtkGestureRotate

Since: 3.14

### gtk_gesture_rotate_get_angle_delta ()

    gdouble
    gtk_gesture_rotate_get_angle_delta (GtkGestureRotate *gesture);

If `gesture` is active, this function returns the angle difference in radians since the gesture was first recognized. If `gesture` is not active, 0 is returned.

#### Parameters

gesture | a GtkGestureRotate |

#### Returns

the angle delta in radians

Since: 3.14

## Types and Values

### GtkGestureRotate

    typedef struct _GtkGestureRotate GtkGestureRotate;

## Signal Details

### The `“angle-changed”` signal

    void
    user_function (GtkGestureRotate *gesture,
                   gdouble           angle,
                   gdouble           angle_delta,
                   gpointer          user_data)

This signal is emitted when the angle between both tracked points changes.

#### Parameters

gesture | the object on which the signal is emitted |
angle | Current angle in radians |
angle_delta | Difference with the starting angle, in radians |
user_data | user data set when the signal handler was connected. |

Flags: Run First

Since: 3.14

## See Also

GtkGestureZoom